#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

class DictatorConfig:
    
    #representing the config-options in dictator.conf
    __folder = ''
    __recordlimit = 0
    #...
    
    def __init__(self):
        ok = self.fetch_configs()
        print ok
    
    def fetch_configs(self):
        #liste mit orten, an denen dictator.conf liegen knnte
        etcs=["","/home/root/.dictator/","/root/.dictator/","/etc/dictator/","/usr/local/dictator/"]
        #suchen
        noetc = 0
        for etc in etcs:
            try:
                fobj = open(etc+"dictator.conf","r")
                break
            except:
                noetc+=1
                continue
            
        if (noetc < len(etcs)):    
            for line in fobj: 
                
                if (line[:1] != "#" and "=" in line):#commented lines
                    confs = line.split("=")
                    if (confs[0]=="folder"):
                         self.set_folder(confs[1])
                         break
                    elif (confs[0]=="recordLimit"):
                        self.set_recordLimit(confs[1])
                        break
            
            fobj.close 
            ok = "using " + etcs[noetc] + "dictator.conf for configuration"
        else:
            ok = "no config found, using standard-config"
            #create a new config-file with standard-values?
            
            #standard-config
            self.set_folder("/media/card/dictator")
            self.set_recordLimit(0)
            #...
        return ok
    
    #getter & setter        
    def get_folder(self):
        return self.__folder.strip()
    
    def get_recordLimit(self):
        return self.__recordlimit.strip()
    
    def set_folder(self,folder):
        #typsicherheit?
        self.__folder=str(folder)
        
    def set_recordLimit(self,rl):
        #typsicherheit?
        self.__recordlimit=int(rl)
            