#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
import threading,Queue
import wave
from gtk.gdk import threads_leave,threads_enter
from time import time,sleep
import datetime

class saveThread(threading.Thread):

    testfile = ''
    data_list= []
    #data_chunks = Queue.Queue()
    lock = threading.RLock()
    track = None
    
    def __init__(self,filename):
        threading.Thread.__init__(self)
        
        saveThread.testfile = filename   
        self.setDaemon(False)
        self.stop_thread= False
        self.open_file()
        
    def open_file(self):
        saveThread.track = wave.open(saveThread.testfile, "wb")
        saveThread.track.setnchannels(2)
        saveThread.track.setframerate(8000)#moko:88200
        saveThread.track.setsampwidth(2)# wegen 16-Bit-Format   
            
   
    def run(self):

        while self.stop_thread == False:
            if len(saveThread.data_list) > 0:
                chunk = saveThread.data_list[0]
                saveThread.track.writeframesraw(chunk)
                saveThread.data_list.pop(0)
#        while self.stop_thread == False or saveThread.data_chunks.empty()== False:
#            saveThread.lock.acquire()
#            chunk = saveThread.data_chunks.get()
#            saveThread.track.writeframes(chunk)
#            saveThread.data_chunks.task_done()
#            saveThread.lock.release()        
        
    def close(self):
        saveThread.track.close()
        
    def stop(self):
        self.stop_thread = True
        
class TimelabelUpdater(threading.Thread):
    
    #TODO: Bessere counter-methode abhngig von der trackposition
    def __init__(self,timelabel,duration=None):
        threading.Thread.__init__(self)
        self.timelabel = timelabel
        self.stop_thread = False
        self.pause_thread = False
        self.pause_time = 0.0
        self.duration = duration

        self.begin = datetime.datetime.fromtimestamp(time())
               
    def run(self):
        while not self.stop_thread:
            if not self.pause_thread:
                dur = datetime.datetime.fromtimestamp(time()-self.pause_time) - self.begin
                mins = dur.seconds/60
                secs = dur.seconds%60
                
                threads_enter()
                self.timelabel.set_markup('<span size="12000">'+ (str(mins) if mins > 9 else '0'+str(mins)) + ':' + (str(secs) if secs > 9 else '0'+str(secs)) +self.nn(self.duration)+'</span>')
                threads_leave()
            else:
                sleep(0.1)
                self.pause_time += 0.1
        self.timelabel.set_markup('')
         
    def stop(self):
        self.stop_thread = True
        
    def pause(self):
        self.pause_thread = True
    
    def resume(self):
        if self.pause_thread == True:
            self.pause_thread = False
    
    def nn(self,dur):
        if dur == None:
            return ''
        else:
            return '/'+dur
