#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
import threading,datetime,os
from time import sleep,time
import alsaaudio,wave
import datetime
from gtk.gdk import threads_leave,threads_enter
import littlehelpers
import gtk


class PlayRecThread(threading.Thread):
    death = False
    
    def __init__(self,conf):
        threading.Thread.__init__(self)
    
    #TODO: load pcm- and wav-configuration from config-file (rate,periodsize, format)
        #self.setDaemon(False)
    #play-pcm
    # for the moko just add as last argument 'hw'
        self.pcm_play= None
            
        #rec-pcm
        # here the same: 'hw' as last argument
        self.pcm_rec = None
        
        self.conf = conf    
        self.filename = ''
    #workaround for switching playBut
        self.pp = None  
        self.recp = None
        
        self.play_dur = ''
        self.tmp_pos = 0
    #bools for controlling play- and rec-process
        # false-false means: nothing happens
        self.play_me = False
        self.record_me = False
        
        self.stop_playing = False
        self.stop_recording = False
        
        self.pause_me = False
        
        self.fw = False
        self.rw = False
        self.norm = False
        
    def run(self):
        while not self.death:
            if (self.play_me == True):
                self.__play_track()
            elif (self.record_me == True):
                self.__record_track()
            else:
                sleep(0.1)
                
    def play(self,filename= '',playpage = None,duration=''):
        playing = False
        resumed = False
        # resume from pause
        if self.pause_me == True:
            self.pause_me = False
            resumed = True
        
        if playpage !=None:
            self.pp = playpage
            
        if duration != '':
            self.play_dur = duration
        # only start from idle loop when nothing happens
        if self.play_me == False and self.record_me == False:
            if filename == '':
                self.filename = self.__get_standard_filename()
            else:
                self.filename = filename
            self.play_me=True 
            playing = True
   
        return playing,resumed
        
        
    def record(self,recpage,filename= ''):
        recording = False
        resumed = False
        # resume from pause
        if self.pause_me == True:
            self.pause_me = False
            resumed = True
            
        if recpage != None:
            self.recp = recpage
        # only start from idle loop when nothing happens
        if self.record_me == False and self.play_me == False:
            if filename == '':
                self.filename = self.__get_standard_filename()
            else:
                self.filename = filename
            self.record_me = True
            recording = True
        
        return recording,resumed
        
        
    def stop(self):
        if (self.play_me == True):
            self.stop_playing=True
        if (self.record_me == True):
            self.stop_recording=True
        
    def pause(self):
        self.pause_me = True
        
    def forward(self):
        self.fw = True
    def rewind(self):
        self.rw = True
    def normal(self):
        self.norm = True
        
    def __play_track(self):
        
        if  os.popen("uname -n").readline().strip() == "om-gta02":
            self.pcm_play = alsaaudio.PCM(alsaaudio.PCM_PLAYBACK,alsaaudio.PCM_NORMAL,'hw')
        else:
            self.pcm_play = alsaaudio.PCM(alsaaudio.PCM_PLAYBACK,alsaaudio.PCM_NORMAL)
            
        track = wave.open(self.filename,"r")
        #track = open(self.filename,"rb")
        
        self.pcm_play.setchannels(track.getnchannels())
        self.pcm_play.setrate(track.getframerate())
        self.pcm_play.setperiodsize(80)
        self.pcm_play.setformat(alsaaudio.PCM_FORMAT_S16_LE)
        
        print "playing " +self.filename
        #play-loop

        data = track.readframes(80)#moko:160
        self.pcm_play.write(data)

        #check whether we got enough frames for writing them to pcm!!!
        timer = littlehelpers.TimelabelUpdater(self.pp.timelabel,self.play_dur)
        timer.start()
        
        while data and not self.stop_playing:
            if self.pause_me == True:
                timer.pause()
                sleep(0.1)
            elif self.fw == True:
                self.pcm_play.setrate(int(track.getframerate()*1.5))
                self.fw = False
            elif self.rw == True:
                self.pcm_play.setrate(int(track.getframerate()/1.5))  
                self.rw = False
            elif self.norm == True:
                self.pcm_play.setrate(track.getframerate())
                self.norm = False  
            else:
                         
                timer.resume()       
                data = track.readframes(80)#moko:160
                
                try:
                    #laptop: data is buffered until enough has been buffered to write
                    #then it is written
                    self.pcm_play.write(data)

                except(alsaaudio.ALSAAudioError), e:
                    threads_enter()
                    if self.pp != None:
                        self.pp.timelabel.set_markup('<span size="12000">Play-Error!!!</span>')
                    threads_leave()
                    print "Play-Error!!!", e.message
        track.close()
        timer.stop()
        self.pcm_play = None
        
        print "end of playing"
        threads_enter()
        if self.pp != None:
            self.pp.switch_back_playBut(self.pp.play_file,self.pp.playImg)
            self.pp.eb.modify_bg(gtk.STATE_NORMAL,self.pp.old_col)
        threads_leave()
    # return to idle-configuration
        self.pause_me = False
        self.play_me = False
        self.stop_playing = False
        
    def __record_track(self):
         
        if  os.popen("uname -n").readline().strip() == "om-gta02":
            self.pcm_rec = alsaaudio.PCM(alsaaudio.PCM_CAPTURE,alsaaudio.PCM_NORMAL,'hw')
        else:
            self.pcm_rec = alsaaudio.PCM(alsaaudio.PCM_CAPTURE,alsaaudio.PCM_NORMAL)
        self.pcm_rec.setchannels(2)
        self.pcm_rec.setrate(8000)
        self.pcm_rec.setperiodsize(80)
        self.pcm_rec.setformat(alsaaudio.PCM_FORMAT_S16_LE)
        
        print "start recording"

        timer = littlehelpers.TimelabelUpdater(self.recp.timelabel)
        timer.start()
        
        saver = littlehelpers.saveThread(self.filename)
        saver.start()
        
        while not self.stop_recording:

                l,data = self.pcm_rec.read()
                if data:
                    #testtrack.writeframes(data)
                    threads_enter()
                    #littlehelpers.saveThread.data_chunks.put(data)
                    littlehelpers.saveThread.data_list.append(data)
                    threads_leave()
        saver.stop()
        timer.stop()
        saver.join()
        saver.close()    
        
        self.pcm_rec = None
        
        threads_enter()
        if self.recp != None:
            self.recp.timelabel.set_markup('')
        threads_leave()
        
        print "end of recording"
 
        self.pause_me = False 
        self.record_me = False
        self.stop_recording = False
        
    def kill(self):
        self.death = True
        
    def __get_standard_filename(self):
        filename = self.conf.get_folder() + "/rec_" + datetime.datetime.now().isoformat().replace('T','_')[:19] + ".wav"
        return filename
        