#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
import pygtk
pygtk.require('2.0')
import gtk
import alsaaudio

class RecPage:
    
    def __init__(self,pr_thread, conf):

 # initialize alsa-pcm_rec-object
 # not needed anymore
        #self.pcm_rec = alsaaudio.PCM(alsaaudio.PCM_CAPTURE)
        #self.pcm_rec.setchannels(1)
        #self.pcm_rec.setrate(16000)
        #self.pcm_rec.setperiodsize(160)

        self.recthread = pr_thread
        
        self.conf = conf
########################
# buttons, labels etc. #
########################
        
#images
        confImg = gtk.image_new_from_stock(gtk.STOCK_PREFERENCES, gtk.ICON_SIZE_BUTTON)
        confImg.set_property("icon-size",6)
        
        self.recImg = gtk.Image()
        pixbuf = self.recImg.render_icon(gtk.STOCK_MEDIA_RECORD, gtk.ICON_SIZE_DIALOG)
        pixbuf = pixbuf.scale_simple(100,100,gtk.gdk.INTERP_BILINEAR)
        self.recImg.set_from_pixbuf(pixbuf)
        
        self.stopImg = gtk.Image()
        pixbuf = self.recImg.render_icon(gtk.STOCK_MEDIA_STOP, gtk.ICON_SIZE_DIALOG)
        pixbuf = pixbuf.scale_simple(100,100,gtk.gdk.INTERP_BILINEAR)
        self.stopImg.set_from_pixbuf(pixbuf)
        
        self.pauseImg = gtk.Image()
        pixbuf = self.recImg.render_icon(gtk.STOCK_MEDIA_PAUSE, gtk.ICON_SIZE_DIALOG)
        pixbuf = pixbuf.scale_simple(100,100,gtk.gdk.INTERP_BILINEAR)
        self.pauseImg.set_from_pixbuf(pixbuf)

#buttons  
    
        self.recBut = gtk.Button()
        self.recBut.set_image(self.recImg)
        if (not self.recthread is None):
            self.connectID = self.recBut.connect("clicked",self.record_file)  
        
        self.stopBut = gtk.Button()
        self.stopBut.set_image(self.stopImg)
        if (not self.recthread is None):
            self.stopBut.connect("clicked",self.stop)
        self.configBut = gtk.Button()
        self.configBut.set_image(confImg)

#timelabel
        self.timelabel = gtk.Label()
        self.timelabel.set_use_markup(True)
        self.timelabel.set_property("height-request",50)

################
#   PACKING    #
################
        
#button box - contains rec- and stop-buttons
        bBox= gtk.HBox()      
        bBox.pack_start(self.recBut,True,True,10)
        bBox.pack_start(self.stopBut,True,True,10)       
        bBox.set_property("height-request",200)
        
#recbox - contains buttonbox and timelabel        
        self.recBox = gtk.VBox()
        self.recBox.pack_start(bBox,True,True,20)
        # empty-spacing-label
        self.spacing = gtk.Label("\n\n\n")
        self.eb = gtk.EventBox()
        self.old_col =  self.eb.get_style().bg[gtk.STATE_NORMAL]
        self.eb.add(self.timelabel)

        self.recBox.pack_start(self.spacing,True,True,20)
        self.recBox.pack_start(self.eb,True,False,20)
#mainBox - contains recbox and configbutton        
        self.mainBox = gtk.VBox(False,5)
        self.mainBox.pack_start(self.recBox,False,False,5)       
        self.mainBox.pack_start(self.configBut,False,False,5)
        
        
    def getMbox(self):
        return self.mainBox
    
    def record_file(self,widget):
        self.recthread.record(self)
        self.eb.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#FF3333"))
        
    def pause(self,widget):
        self.recthread.pause()

        
    def resume(self,widget):
        self.recthread.record(None)

        
    def stop(self,widget):
        
        self.recthread.stop()
        self.eb.modify_bg(gtk.STATE_NORMAL,self.old_col)
